GET
/
Calendar
Calendar dimension data
curl --request GET \
  --url https://reporting-dev.cteleport.com/v2/odata/Calendar \
  --header 'Authorization: Basic <encoded-value>'
{
  "@odata.context": "<string>",
  "value": [
    {
      "Date": "2023-11-07T05:31:56Z",
      "Year": 123,
      "Month": "<string>",
      "YearMonth": "<string>",
      "MonthShortYear": "<string>",
      "MonthDigit": 123,
      "MonthLong": "<string>",
      "Quarter": "<string>",
      "QuarterYear": "<string>",
      "DateSorting": 123,
      "MonthYearSorting": 123,
      "QuarterYearSorting": 123,
      "QuarterSorting": 123,
      "InvDateSorting": 123,
      "InvMonthYearSorting": 123,
      "InvQuarterYearSorting": 123,
      "InvQuarterSorting": 123,
      "WeekNumberOfMonday": 123,
      "YearAndWeekNumber": 123,
      "InLast12MonthsAndCurrent": true,
      "MonthsUntilNow": 123,
      "TrailingPeriod": "<string>",
      "TrailingPeriodWeek": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using reporting credentials provided by C Teleport. Username and password are issued per-customer — contact api@cteleport.com to obtain yours.

Query Parameters

$filter
string

OData filter expression. Examples:

  • bookingDate gt 2026-01-01
  • status eq 'confirmed'
  • carrier eq 'KL' and departureDate gt 2026-01-01
$select
string

Comma-separated list of fields to include in the response.

$orderby
string

OData ordering expression. Examples:

  • bookingDate desc
  • totalCost asc
$top
integer

Maximum number of records to return (default varies by endpoint).

$skip
integer

Number of records to skip for pagination.

$count
boolean

Set to true to include total record count in the response.

Response

Calendar dimension data.

@odata.context
string

OData metadata context URL.

value
object[]